> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qanapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Qanapi Flow logs



## OpenAPI

````yaml /openapi/v3.yaml get /logs/qanapi-flow
openapi: 3.0.0
info:
  title: Qanapi API v3
  version: 3.0.0
  description: Qanapi API version 3
servers:
  - url: https://{subdomain}.qanapi.cloud/api/v3
    description: The Qanapi API server
    variables:
      subdomain:
        default: ''
        description: Customer-specific subdomain.
security:
  - ApiKey: []
paths:
  /logs/qanapi-flow:
    get:
      summary: Get Qanapi Flow logs
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          schema:
            type: integer
            default: 15
        - name: type
          in: query
          description: Integration type filter
          schema:
            type: string
      responses:
        '200':
          description: Qanapi Flow logs
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/QanapiFlowLog'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/ForbiddenAndUnauthorized'
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        current_page:
          type: integer
        data:
          type: array
          items:
            type: object
        first_page_url:
          type: string
          format: uri
        from:
          type: integer
          nullable: true
        last_page:
          type: integer
        last_page_url:
          type: string
          format: uri
        links:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
                nullable: true
              label:
                type: string
              page:
                type: integer
                nullable: true
              active:
                type: boolean
        next_page_url:
          type: string
          format: uri
          nullable: true
        path:
          type: string
        per_page:
          type: integer
        prev_page_url:
          type: string
          format: uri
          nullable: true
        to:
          type: integer
          nullable: true
        total:
          type: integer
    QanapiFlowLog:
      type: object
      properties:
        configuration_id:
          type: integer
          nullable: true
        type:
          type: string
        action:
          type: string
        email:
          type: string
          format: email
          nullable: true
        request_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: An error occurred.
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: Unauthorized.
    ForbiddenAndUnauthorized:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Forbidden
              value:
                message: User does not have the right permissions.
            unauthorized:
              summary: Unauthorized
              value:
                message: Unauthorized.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Qanapi-Authorization

````